<nz-card [nzTitle]="'Common.Wallet' | translate" nzSize="small">
  <nz-table #walletTable [nzData]="currencies" nzSize="small" [nzShowPagination]="true" [nzLoading]="isLoading">
    <thead>
      <tr>
        <th></th>
        <th>{{ "Economy.Market.Amount" | translate }}</th>
        <th nzWidth="30%"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of walletTable.data">
        <td>
          <img src="{{ item.icon }}" width="30" height="30" />
        </td>
        <td>{{ item.amount }} {{ item.name | translate }}</td>
        <td>
          <nz-input-group nzSearch [nzAddOnAfter]="suffixButton">
            <input type="number" nz-input placeholder="Amount" [(ngModel)]="item.providedAmount" />
          </nz-input-group>
          <ng-template #suffixButton>
            <button nz-button nzShape="round" nzType="primary" nzSearch (click)="addCurrency(item)">
              <i class="fas fa-plus"></i>
            </button>
          </ng-template>
        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>
